using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Composites.FoodService {
    public class FoodServiceStudent {
    /* A unique alphanumeric code assigned to a student. */
    public string studentUniqueId { get; set; }

    /* A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. */
    public string firstName { get; set; }

    /* A secondary name given to an individual at birth, baptism, or during another naming ceremony. */
    public string middleName { get; set; }

    /* The name borne in common by members of a family. */
    public string lastSurname { get; set; }

    /* The month, day, and year on which an individual was born. */
    public DateTime? birthDate { get; set; }

    /* (MI EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table., */
    public string foodServiceStatusDescriptor { get; set; }

    /* An unordered collection of studentAddresses.   */
    public List<FoodServiceStudent_studentAddress> addresses { get; set; }

    /* An unordered collection of studentIdentificationCodes.   */
    public List<FoodServiceStudent_studentIdentificationCode> identificationCodes { get; set; }

    /* An unordered collection of studentElectronicMails.   */
    public List<FoodServiceStudent_studentElectronicMail> electronicMails { get; set; }

    /* An unordered collection of studentTelephones.   */
    public List<FoodServiceStudent_studentTelephone> telephones { get; set; }

    /* An unordered collection of studentSchoolAssociations.   */
    public List<FoodServiceStudent_studentSchoolAssociation> schools { get; set; }

    /* An unordered collection of studentSectionAssociations.   */
    public List<FoodServiceStudent_studentSectionAssociation> sections { get; set; }

    /* An unordered collection of studentParentAssociations.   */
    public List<FoodServiceStudent_studentParentAssociation> parents { get; set; }

    }
}
