using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class AcademicWeek {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related CalendarDate resource. */
    public CalendarDateReference beginCalendarDateReference { get; set; }

    /* A reference to the related CalendarDate resource. */
    public CalendarDateReference endCalendarDateReference { get; set; }

    /* A reference to the related School resource. */
    public SchoolReference schoolReference { get; set; }

    /* The school label for the academic week. */
    public string weekIdentifier { get; set; }

    /* The total instructional days during the academic week. */
    public int? totalInstructionalDays { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
