using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class BellSchedule {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related CalendarDate resource. */
    public CalendarDateReference calendarDateReference { get; set; }

    /* Name or title of the bell schedule. */
    public string name { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string gradeLevelDescriptor { get; set; }

    /* An unordered collection of bellScheduleMeetingTimes.   */
    public List<BellScheduleMeetingTime> meetingTimes { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
