using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class EducationOrganizationInternationalAddress {
    /* Key for Address */
    public string addressType { get; set; }

    /* The first line of the address. */
    public string addressLine1 { get; set; }

    /* The second line of the address. */
    public string addressLine2 { get; set; }

    /* The third line of the address. */
    public string addressLine3 { get; set; }

    /* The fourth line of the address. */
    public string addressLine4 { get; set; }

    /* The geographic latitude of the physical address. */
    public string latitude { get; set; }

    /* The geographic longitude of the physical address. */
    public string longitude { get; set; }

    /* The first date the address is valid. For physical addresses, the date the person moved to that address. */
    public DateTime? beginDate { get; set; }

    /* The last date the address is valid. For physical addresses, this would be the date the person moved from that address. */
    public DateTime? endDate { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string countryDescriptor { get; set; }

    }
}
