using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class InterventionPrescription {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related EducationOrganization resource. */
    public EducationOrganizationReference educationOrganizationReference { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string identificationCode { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string interventionClassType { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string deliveryMethodType { get; set; }

    /* An unordered collection of interventionPrescriptionAppropriateGradeLevels.  Grade levels for the prescribed intervention-if omitted, considered generally applicable. */
    public List<InterventionPrescriptionAppropriateGradeLevel> appropriateGradeLevels { get; set; }

    /* An unordered collection of interventionPrescriptionAppropriateSexes.  Gender(s) for which the intervention prescription is appropriate. */
    public List<InterventionPrescriptionAppropriateSex> appropriateSexes { get; set; }

    /* An unordered collection of interventionPrescriptionDiagnoses.  Targeted purpose of the intervention (e.g., attendance issue, dropout risk). */
    public List<InterventionPrescriptionDiagnosis> diagnoses { get; set; }

    /* An unordered collection of interventionPrescriptionEducationContents.  Resources related to or used in this intervention prescription, including any documentation around the intervention prescription itself. Since an intervention prescription is intended to be a published intervention, an intervention prescription should have at least one such resource. */
    public List<InterventionPrescriptionEducationContent> educationContents { get; set; }

    /* An unordered collection of interventionPrescriptionLearningResourceMetadataURIs.  Resources related to or used in this intervention prescription, including any documentation around the intervention prescription itself. Since an intervention prescription is intended to be a published intervention, an intervention prescription should have at least one such resource. */
    public List<InterventionPrescriptionLearningResourceMetadataURI> learningResourceMetadataURIs { get; set; }

    /* An unordered collection of interventionPrescriptionPopulationServeds.  A subset of students that are the focus of the intervention. */
    public List<InterventionPrescriptionPopulationServed> populationServeds { get; set; }

    /* An unordered collection of interventionPrescriptionURIs.  Resources related to or used in this intervention prescription, including any documentation around the intervention prescription itself. Since an intervention prescription is intended to be a published intervention, an intervention prescription should have at least one such resource. */
    public List<InterventionPrescriptionURI> uris { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
