using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan {
    /* The date of the students's most recent individualized family service plan (IFSP).   */
    public DateTime? currentIFSPDate { get; set; }

    /*  The date of the students's first individualized family service plan (IFSP). */
    public DateTime? initialIFSPDate { get; set; }

    /* The completion of an initial individualized education program (IEP) is the date on the notice of the offer of a free appropriate public education (FAPE). */
    public DateTime? initialIEPCompletionDate { get; set; }

    /* The date the student was referred by the referral agency. */
    public DateTime? referralDate { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string referralAgencyDescriptor { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string resultOfInitialIFSPDescriptor { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string timelinessDescriptor { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string transitionConferenceTimelinessDescriptor { get; set; }

    }
}
