using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentSpecialEducationProgramAssociationEligibilityEvaluation {
    /* (MI-EXT) The date on which the entity received the signed Parental Consent to Evaluate form. It is the beginning of the timeline for completion of the initial IEP. */
    public DateTime? dateOfParentalConsent { get; set; }

    /* (MI-EXT) The number of calendar days that the evaluation and completion of the initial IEP went beyond the 30 school-day timeline or agreed-upon written extension.   */
    public int? daysBeyondTimeline { get; set; }

    /* (MI-EXT) The completion of an initial individualized education program (IEP) is the date on the notice of the offer of a free appropriate public education (FAPE). */
    public DateTime? initialIEPCompletionDate { get; set; }

    /* (MI-EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string partCTransitionTimelinessDescriptor { get; set; }

    /* (MI-EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string resultOfInitialIEPDescriptor { get; set; }

    /* (MI-EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string timelinessOfInitialIEPDescriptor { get; set; }

    }
}
